﻿var currentSetting;
var defaultBitrate = "http://www.play.cz/radio/radiodechovka128.asx";
var lastBitrate;
var defaultSongURL = "http://www.radiodechovka.cz/onair/onair.php"
var song = "";
var reqSong;
var updateInterval = 10000;
var lastSong = "";

window.onload = function() {
	currentSetting = System.Gadget.Settings.read("bitrate");
	if (currentSetting != ""){
		mediaPlayer.url  = currentSetting;
	} else {
		currentSetting = defaultBitrate;
		mediaPlayer.url = defaultBitrate;
		}
	System.Gadget.settingsUI = "settings.html";
	System.Gadget.onSettingsClosed = SettingsClosed;
	lastBitrate = currentSetting;
}

function SettingsClosed(event) {
	lastBitrate = currentSetting;
	currentSetting = System.Gadget.Settings.read("bitrate");
	if (event.closeAction == event.Action.commit){
		if(currentSetting != lastBitrate){
		mediaPlayer.url = currentSetting;
		}
		
	}else if(event.closeAction == event.Action.cancel){
	}
}

function PlayStop() {
	if (controlImage.src == "images/stop.png"){
		mediaPlayer.controls.stop();}
	else {
		mediaPlayer.controls.play();}
		
}

function playStateChange(newstate) {
	switch (newstate){ 
	case 1: // Stopped
		//playbackStatus.innerHTML = "Zastaveno";
		controlImage.src = "images/play.png";
		break;

	case 2: // Paused
		//playbackStatus.innerHTML = "Pozastaveno";
		controlImage.src = "images/pause.png";
		break;

	case 3: // Playing
		//playbackStatus.innerHTML = "Přehrávám";
		controlImage.src = "images/stop.png";
		break;

	case 6: // Buffering
		//playbackStatus.innerHTML = "Buffering";
		break;

	case 7: // Waiting
		//playbackStatus.innerHTML = "Čekám";
		break;

	case 8: // Media Ended
		//playbackStatus.innerHTML = "Konec média";
		controlImage.src = "images/play.png";
		break;

	case 9: // Ready
		//playbackStatus.innerHTML = "Připraven";
		controlImage.src = "images/play.png";
		getPlayingSong();
		break;
	}
}

function mute() {
	if (mediaPlayer.settings.mute == 0) {
		mediaPlayer.settings.mute = 1;
		controlImageMute.src = "images/mute_off.png";
	} else {
		mediaPlayer.settings.mute = 0;
		controlImageMute.src = "images/mute_on.png";
	} 
}

function volUp() {
	mediaPlayer.settings.volume = (mediaPlayer.settings.volume + 10);
}

function volDown() {
	mediaPlayer.settings.volume = (mediaPlayer.settings.volume - 10);
}

function mousewheelVolume() {
	if (event.wheelDelta >= 20){
		mediaPlayer.settings.volume = (mediaPlayer.settings.volume + 10);
	} else {
		mediaPlayer.settings.volume = (mediaPlayer.settings.volume - 10);
	}
}

function getPlayingSong() {
	var d = new Date;
	var ut_ms = d.getTime();
	var ut = parseInt(ut_ms / 1000);
	reqSong = new ActiveXObject("Microsoft.XMLHTTP");
	reqSong.onreadystatechange = setPlayingSong;
	reqSong.open("GET", defaultSongURL + "?" + ut, true);
	reqSong.send();
	setTimeout("getPlayingSong()",updateInterval);
}

function setPlayingSong() {
	song = reqSong.responseText;
	if(lastSong != song){
		lastSong = song;
		var zacatekNazvuInterpreta = song.search("<strong>");
		var konecNazvuInterpreta = song.search("</strong>");
		var nazevInterpreta = song.slice(zacatekNazvuInterpreta + 8, konecNazvuInterpreta);
		var nazevSongu = song.slice(konecNazvuInterpreta + 13);

		if(nazevInterpreta.match("MARQUEE")){
				konecNazvuInterpreta = nazevInterpreta.search("</MARQUEE>");
				nazevInterpreta = nazevInterpreta.slice(59,konecNazvuInterpreta);
				}
		if(nazevInterpreta.length >= 19){
			currArtist.innerHTML = "<marquee scrollamount=\"1\" scrolldelay=\"1\" behavior=\"scroll\" direction=\"left\"><strong>" + nazevInterpreta + "</strong></marquee>";
		} else {
			currArtist.innerHTML = "<strong>" + nazevInterpreta + "</strong>";
		}
		if(nazevSongu.match("MARQUEE")){
				var konecNazvuSongu = nazevSongu.search("</MARQUEE>");
				nazevSongu = nazevSongu.slice(59,konecNazvuSongu);
				}
		if(nazevSongu.length >= 19){
			currSong.innerHTML = "<marquee scrollamount=\"1\" scrolldelay=\"1\" behavior=\"scroll\" direction=\"left\">" + nazevSongu + "</marquee>";
		} else {
			currSong.innerHTML = nazevSongu;
		}
	}
}